package com.yonge.cooleshow.auth.api.client.fallback;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

import com.yonge.cooleshow.auth.api.client.AuthTaskFeignService;

@Component
public class AuthTaskFeignServiceFallback implements AuthTaskFeignService {

	private final static Logger logger = LoggerFactory.getLogger(AuthTaskFeignServiceFallback.class);

	@Override
	public boolean autoUnlock() {
		logger.warn("用户自动解锁服务调用失败");
		return false;
	}

}
